Subject: [bug#47905] gnu: Add rasdaemon.

From: [email-masked]
Date: Tue, 20 Apr 2021 14:54:49 +0900

Leo Famulari <[email-masked]> wrote:
> On Tue, Apr 20, 2021 at 01:24:37PM +0900, elaexuotee--- via Guix-patches via wrote:
> > +(define-public rasdaemon
> 
> Overall LGTM.
> 
> > +    (license license:gpl2+)))
> 
> I checked the license headers of the ras-*.c files.
> 
> Some of them are GPL2+, and some are GPL2 only. I think that we should
> mark it GPL2 only, based on that.

Oh! Thanks. Nice catch. This is not the first time I have missed license
details, so I looked for some method to find all licenses in a project:

    $ licensecheck --recursive --machine . | awk -F$'\t' '{print $2}' | sort -u
    FSF All Permissive License
    GNU Lesser General Public License (v2.1)
    GPL (v2 or later)
    GPL (v2 or later) (with incorrect FSF address)
    GPL (v2)
    UNKNOWN

The `FSF All Permissive License' just comes from the INSTALL file.  In general,
I'm aware that we can include multiple licenses, so the above output would look
like:

    (license `(,license:fsf-free ,license:lgpl2.1 ,license:gpl2 ,license:gpl2+))

However, legally-speaking, was is the correct approach here?